Bug 468230 - Review Request: TurboGears2 - Next generation Front-to-back web development megaframework built on Pylons
Review Request: TurboGears2 - Next generation Front-to-back web development m...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On: 468223 468224 468228 468229 468806 476789 480999 501576 503772
Blocks: 468804 526041
  Show dependency treegraph
 
Reported: 2008-10-23 12:48 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
10 users (show)

See Also:
Fixed In Version: TurboGears2-2.0.3-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-09 22:23:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-10-23 12:48:43 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/TurboGears2.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/TurboGears2-1.9.7-0.1.a5dev.5564.fc9.src.rpm
Description:
TurboGears2, provides a comprehensive web development toolkit.  It is designed
to help you create the basic outline of a database-driven web application in
minutes.

TurboGears provides you with sane default for designer friendly templates,
tools to make  AJAX, and dynamic Javascript driven pages easy on both the
browser side and the server side.

TurboGears is a project that is built upon a foundation of reuse and building
up.  In retrospect, much of the code that was home grown in the TurboGears
project should have been released as independent projects that integrate with
TurboGears.
Comment 1 Luke Macken 2008-10-28 00:43:28 EDT
http://lmacken.fedorapeople.org/rpms/TurboGears2-1.9.7-0.3.b1dev.r5627.fc9.src.rpm
http://lmacken.fedorapeople.org/rpms/TurboGears2.spec

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> 1.9.7.0.3.b1dev.r5627

- Update to a svn snapshot to support tgext.authorization instead of

  tg.ext.repoze.who



* Mon Oct 27 2008 Luke Macken <lmacken@redhat.com> 1.9.7-0.2.b1

- Update to 1.9.7b1
Comment 2 Lorenzo Villani 2009-05-15 12:13:22 EDT
RC 1 is out
Comment 3 Luke Macken 2009-06-02 09:49:11 EDT
http://lmacken.fedorapeople.org/rpms/TurboGears2-2.0-2.el5.src.rpm
http://lmacken.fedorapeople.org/rpms/TurboGears2.spec

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> 2.0-2
- Conditionally include wsgiref

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> 2.0-1
- Update to 2.0 final.
- Add python-repoze-what-pylons and python-webflash to the BuildRequires
- Disable the test suite until we package chameleon.genshi

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> 1.9.7.0.3.b1dev.r5627
- Update to a svn snapshot to support tgext.authorization instead of
  tg.ext.repoze.who
Comment 4 Jan ONDREJ 2009-06-04 04:23:40 EDT
Please, add patch from this bug:
  http://trac.turbogears.org/ticket/2280
This fixes ability to set content_type for templates.

Direct link to plain text patch:
  http://trac.turbogears.org/attachment/ticket/2280/custom_content_type.patch?format=raw

Thank you.
Comment 5 Lorenzo Villani 2009-06-06 17:23:42 EDT
SRPM URL gives 404
Comment 6 Will Woods 2009-06-24 11:56:49 EDT
Look in http://lmacken.fedorapeople.org/rpms/ - there's http://lmacken.fedorapeople.org/rpms/TurboGears2-2.0-2.fc10.src.rpm, which should be fine.
Comment 7 Luke Macken 2009-06-27 18:22:16 EDT
http://lmacken.fedorapeople.org/rpms/TurboGears2-2.0.1-1.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/TurboGears2.spec

* Sat Jun 27 2009 Luke Macken <lmacken@redhat.com> 2.0.1-1
- 2.0.1
- Bump our ToscaWigdets requirement to 0.9.4
- Remove TurboGears2-custom-content-type.patch, which is upstream

* Sat Jun 06 2009 Luke Macken <lmacken@redhat.com> 2.0-4
- Require the new python-sqlalchemy0.5 package

* Thu Jun 04 2009 Luke Macken <lmacken@redhat.com> 2.0-3
- Add a patch to fix custom content types.
  http://trac.turbogears.org/ticket/2280
Comment 8 Mathieu Bridon 2009-08-06 16:43:59 EDT
It looks like there's something weird with your srpm in comment #7.

I downloaded it, and rpm -ivh complains it's not a RPM. file tells me it's a « lex description text », and if I open it with vim, I am presented with your spec file :-/
Comment 9 Luke Macken 2009-08-10 13:23:49 EDT
Sorry about that, try this:

http://lmacken.fedorapeople.org/rpms/TurboGears2-2.0.1-1.fc11.src.rpm
Comment 10 Jan ONDREJ 2009-08-10 15:30:05 EDT
Please, do not require python-sqlalchemy0.5 for Fedora 11.
python-sqlalchemy-0.5.4 is already a part of Fedore 11.

Requires:       python-sqlalchemy0.5
Comment 11 Luke Macken 2009-09-01 09:59:55 EDT
http://lmacken.fedorapeople.org/rpms/TurboGears2-2.0.3-2.fc11.src.rpm
http://lmacken.fedorapeople.org/rpms/TurboGears2.spec

* Tue Sep 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.3-2
- Remove the SQLAlchemy requirement, as python-zope-sqlalchemy
  is now set to include the appropriate version

* Wed Aug 12 2009 Luke Macken <lmacken@redhat.com> - 2.0.3-1
- 2.0.3
Comment 12 Nils Philippsen 2009-09-01 10:43:54 EDT
(In reply to comment #11)
> * Tue Sep 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.3-2
> - Remove the SQLAlchemy requirement, as python-zope-sqlalchemy
>   is now set to include the appropriate version

Does TG2 require SQLAlchemy only indirectly via python-zope-sqlalchemy?
Comment 13 Nils Philippsen 2009-09-01 10:45:29 EDT
BTW:

%if 0%{?fedora} <= 6
BuildRequires:  python-wsgiref
%endif

Why this?
Comment 14 Jan ONDREJ 2009-09-02 06:28:24 EDT
python-repoze-what-quickstart is required to build this package, adding to dependency. Can somebody look at dependency tree and ask for release? Looks like all are approved, just need to be commited to stable updates.

Why this "needinfo from nobody" is good for?

Luke, can you add this release of TurboGears2 into your tg2 repository? I can't build TurboGears2 on my system now and build in mock does not work due to packages, which have been not released.
Comment 15 Luke Macken 2009-09-14 14:41:13 EDT
(In reply to comment #14)
> python-repoze-what-quickstart is required to build this package, adding to
> dependency. Can somebody look at dependency tree and ask for release? Looks
> like all are approved, just need to be commited to stable updates.
> 
> Why this "needinfo from nobody" is good for?
> 
> Luke, can you add this release of TurboGears2 into your tg2 repository? I can't
> build TurboGears2 on my system now and build in mock does not work due to
> packages, which have been not released.  

The latest build has been in my repo for a while now.

We're still waiting on a couple of reviews: https://fedoraproject.org/wiki/TurboGears2
Comment 16 Luke Macken 2009-09-14 14:44:49 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > * Tue Sep 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.3-2
> > - Remove the SQLAlchemy requirement, as python-zope-sqlalchemy
> >   is now set to include the appropriate version
> 
> Does TG2 require SQLAlchemy only indirectly via python-zope-sqlalchemy?  

Yes, this is what upstream does.  The python-tg-devtools package will pull in SQLAlchemy too.
Comment 17 Luke Macken 2009-09-14 14:51:24 EDT
(In reply to comment #13)
> BTW:
> 
> %if 0%{?fedora} <= 6
> BuildRequires:  python-wsgiref
> %endif
> 
> Why this?  

Dumb conditional to catch RHEL 5.  I've changed it to

%{?el5:BuildRequires: python-wsgiref}
Comment 18 Nils Philippsen 2009-09-23 17:51:56 EDT
I've looked at bug #501576 or bug #503591 and IMO should be closed or not blocking this review. Concur?
Comment 19 Nils Philippsen 2009-09-23 17:52:34 EDT
"... and ..." of course
Comment 20 Alan Pevec 2009-09-28 05:03:46 EDT
(In reply to comment #18)
> Concur?

Yes. Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
 rpmlint TurboGears2-2.0.3-2.fc12.*
TurboGears2.noarch: W: file-not-in-%lang /usr/lib/python2.6/site-packages/tg/test_stack/i18n/ru/LC_MESSAGES/tests.mo
TurboGears2.noarch: W: file-not-in-%lang /usr/lib/python2.6/site-packages/tg/tests/i18n/de/LC_MESSAGES/tests.mo
TurboGears2.noarch: W: file-not-in-%lang /usr/lib/python2.6/site-packages/tg/tests/i18n/ru/LC_MESSAGES/tests.mo
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

=> These are part of the test stack, not actual translations.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[n/a] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[=] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

=> md5sum match, but spec URL is not yet valid: http://pypi.python.org/packages/source/T/TurboGears2/ is not found. Assuming this is going to happen soon, if not, it should be changed to the working URL from the project's site: http://www.turbogears.org/2.0/downloads/2.0.3/TurboGears2-2.0.3.tar.gz ?

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.

=> koji dist-f12 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1708773

[n/a] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[n/a] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.

=> see above rpmlint output, .mo files are for tests only

[n/a] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[n/a] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[n/a] MUST: Header files must be in a -devel package.
[n/a] MUST: Static libraries must be in a -static package.
[n/a] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[n/a] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[n/a] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[n/a] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[n/a] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

APPROVED
Comment 21 Luke Macken 2009-09-28 13:09:35 EDT
New Package CVS Request
=======================
Package Name: TurboGears2
Short Description: Next generation Front-to-back web development megaframework built on Pylons
Owners: lmacken toshio
Branches: F-11 EL-5
Comment 22 Kevin Fenzi 2009-09-29 15:53:38 EDT
cvs done, with F-12 branch added (we are mass branched for F-12 now).
Comment 23 Luke Macken 2009-09-30 17:45:03 EDT
Built in rawhide.

EL-5 build waiting for python-zope-sqlalchemy, which I just built and pushed into bodhi, and also python-pylons, which I just made a branch request for (#526576)

F-11 build is waiting on python-repoze-what-quickstart, which will be going out in the next updates push.
Comment 24 Luke Macken 2009-09-30 21:09:05 EDT
Here is a quick status update of the TG2 stack from my notes


    python-catwalk
        [_] EL-5
            Pending stable push
        [X] F-11
        [X] rawhide
    python-repoze-what-quickstart
        [_] EL-5
            Pending stable push
        [_] F-11
            Pending stable push
        [X] Rawhide
    python-repoze-what-plugins-sql
        [_] EL-5
            pending stable push
        [X] F-11
        [X] Rawhide
    TurboGears2
        [X] Rawhide
        [_] EL-5
            python-zope-sqlalchemy
                Built and requests stable push
            python-pylons
                Branch request made (#526576)
        [_] F-11
            Waiting for python-repoze-what-quickstart
    python-tg-devtools
            Needs python-migrate0.5 (#507697)
Comment 25 Jan ONDREJ 2009-10-01 02:25:19 EDT
(In reply to comment #24)
> Here is a quick status update of the TG2 stack from my notes
>     python-catwalk
>         [X] F-11

python-catwalk is still missing in F11. Please build it.

>     python-tg-devtools
>             Needs python-migrate0.5 (#507697)  

python-migrate-0.5.3 is a part of F11, no need to wait for it for F11.

Other dependencies for F11 looks to be OK, I have TG2 installed from your repo and currently only these are not found in fedora and updates repository:

TurboGears2-2.0.3-3.fc11.noarch
python-catwalk-2.0.2-1.fc11.noarch
python-repoze-what-quickstart-1.0-3.fc11.noarch
python-tg-devtools-2.0.2-2.fc11.noarch

quickstart package will be available soon. :)
Comment 26 Alan Pevec 2009-10-01 05:40:48 EDT
(In reply to comment #25)
> (In reply to comment #24)
> > Here is a quick status update of the TG2 stack from my notes
> >     python-catwalk
> >         [X] F-11
> 
> python-catwalk is still missing in F11. Please build it.

Build is in koji but Bodhi update request is missing.

> >     python-tg-devtools
> >             Needs python-migrate0.5 (#507697)  
> 
> python-migrate-0.5.3 is a part of F11, no need to wait for it for F11.

Yes, python-migrate0.5 is for EPEL/F10.
Luke, please resolve https://bugzilla.redhat.com/show_bug.cgi?id=507697#c5
so it can be approved.
Comment 27 Alan Pevec 2009-10-01 05:57:17 EDT
(In reply to comment #25)
> (In reply to comment #24)
> >     python-tg-devtools
> >             Needs python-migrate0.5 (#507697)  
> 
> python-migrate-0.5.3 is a part of F11, no need to wait for it for F11.

Right, just need to fix spec to require correct migrate package.

Luke, in devel branch you imported original spec
http://cvs.fedoraproject.org/viewvc/rpms/python-tg-devtools/devel/python-tg-devtools.spec?revision=1.1&view=markup

which fails to build on >= F-11
http://koji.fedoraproject.org/koji/getfile?taskID=1721250&name=root.log

Proposed patch in bug 468804 comment 5 moves python-migrate BR
 under conditional %if 0%{?fedora} > 10
Comment 28 Jan ONDREJ 2009-10-01 06:33:48 EDT
One more thing. Current TurboGears2 package requires only python-repoze-tm2-1.0-0.3.a3, but when trying to start my application, this is displayed:

pkg_resources.VersionConflict: (repoze.tm2 1.0a3 (/usr/lib/python2.6/site-packages), Requirement.parse('repoze.tm2>=1.0a4'))

Looks like we need to update repoze.tm2 to at least 1.0a4.
Please rebuild this package for F11 too (currently only in rawhide).
Comment 29 Nils Philippsen 2009-10-01 10:43:29 EDT
(In reply to comment #23)
> F-11 build is waiting on python-repoze-what-quickstart, which will be going out
> in the next updates push.

FTFY: https://fedorahosted.org/rel-eng/ticket/2260 ;-)
Comment 30 Luke Macken 2009-10-01 11:32:29 EDT
(In reply to comment #26)
> (In reply to comment #25)
> > (In reply to comment #24)
> > > Here is a quick status update of the TG2 stack from my notes
> > >     python-catwalk
> > >         [X] F-11
> > 
> > python-catwalk is still missing in F11. Please build it.
> 
> Build is in koji but Bodhi update request is missing.

I just pushed it into bodhi, thanks for the heads up.


> > >     python-tg-devtools
> > >             Needs python-migrate0.5 (#507697)  
> > 
> > python-migrate-0.5.3 is a part of F11, no need to wait for it for F11.
> 
> Yes, python-migrate0.5 is for EPEL/F10.
> Luke, please resolve https://bugzilla.redhat.com/show_bug.cgi?id=507697#c5
> so it can be approved.  

Looking into it now.
Comment 31 Luke Macken 2009-10-01 11:33:57 EDT
(In reply to comment #27)
> (In reply to comment #25)
> > (In reply to comment #24)
> > >     python-tg-devtools
> > >             Needs python-migrate0.5 (#507697)  
> > 
> > python-migrate-0.5.3 is a part of F11, no need to wait for it for F11.
> 
> Right, just need to fix spec to require correct migrate package.
> 
> Luke, in devel branch you imported original spec
> http://cvs.fedoraproject.org/viewvc/rpms/python-tg-devtools/devel/python-tg-devtools.spec?revision=1.1&view=markup
> 
> which fails to build on >= F-11
> http://koji.fedoraproject.org/koji/getfile?taskID=1721250&name=root.log
> 
> Proposed patch in bug 468804 comment 5 moves python-migrate BR
>  under conditional %if 0%{?fedora} > 10  

Ah, I committed the unpatched specfile yesterday, sorry about that.  I just committed a new revision with your patch and I'm building python-tg-devtools now.  Thanks.
Comment 32 Luke Macken 2009-10-01 12:06:50 EDT
(In reply to comment #28)
> One more thing. Current TurboGears2 package requires only
> python-repoze-tm2-1.0-0.3.a3, but when trying to start my application, this is
> displayed:
> 
> pkg_resources.VersionConflict: (repoze.tm2 1.0a3
> (/usr/lib/python2.6/site-packages), Requirement.parse('repoze.tm2>=1.0a4'))
> 
> Looks like we need to update repoze.tm2 to at least 1.0a4.
> Please rebuild this package for F11 too (currently only in rawhide).  

Built and queued for pushing:

https://admin.fedoraproject.org/updates/python-repoze-tm2-1.0-0.5.a4.el5
https://admin.fedoraproject.org/updates/python-repoze-tm2-1.0-0.5.a4.fc11
Comment 33 Luke Macken 2009-10-01 16:03:40 EDT
Here's an updated status...

    python-catwalk
        [X] EL-5
            Pending stable push
        [X] F-11
            Pending stable push
        [X] rawhide
    python-repoze-what-quickstart
        [X] EL-5
            Pending stable push
        [X] F-11
            Pending stable push
        [X] Rawhide
    python-repoze-what-plugins-sql
        [X] EL-5
            pending stable push
        [X] F-11
        [X] Rawhide
    TurboGears2
        [X] Rawhide
        [_] EL-5
            python-zope-sqlalchemy
                Built and requests stable push
            python-pylons
                Branch request made (#526576)
                    [_] python-routes
                        EL branch request (#526803)
                    [_] python-webhelpers
                        EL- branch request (#526801)
                    [_] python-beaker
                        EL-5 branch request (#526800)
                    [X] python-weberror
                        [X] python-webtest
                            Headed to testing
        [_] F-11
            Waiting for python-repoze-what-quickstart
    python-tg-devtools
            [_] rawhide
                [X] python-tw-forms-0.9.8
                    [X] Rawhide
                    [X] F-11
                        Headed to testing
                    [X] EL-5
                        Headed to testing
                [X] python-toscawidgets-0.9.8
                    [X] EL-5
                        Headed to testing
                    [X] F-11
                        Headed to testing
            [_] F-11
            [_] EL-5
                Needs python-migrate0.5 (#507697)
    python-repoze-tm2
        [X] Rawhide
        [X] F11
            Headed to updates-testing
        [X] EL-5
            Headed to updates-testing
Comment 34 Luke Macken 2009-10-01 16:07:04 EDT
I should also note that I will be unavailable for most of tomorrow, and parts of next week.  So please feel free to continue pushing this forward if I'm not around to do so.
Comment 35 Fedora Update System 2009-10-01 16:14:21 EDT
TurboGears2-2.0.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/TurboGears2-2.0.3-3.fc11
Comment 36 Nils Philippsen 2009-10-02 09:04:28 EDT
I've attempted to build python-tg-devtools in F-12, F-11, but now TurboGears2 is missing in the build roots. The dist CVS branches have spec file, patches, etc. and are tagged but building needs TurboGears2 on the builders which you can request from re-eng (as I did in comment #29). I'll be on vacation for the next two weeks, so I'll leave this to you ;-).
Comment 37 Alan Pevec 2009-10-02 11:05:17 EDT
(In reply to comment #36)
> TurboGears2 is missing in the build roots

For F11 it will be in the build roots once update from comment 35 hits stable.
Comment 38 Fedora Update System 2009-10-03 14:54:42 EDT
TurboGears2-2.0.3-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update TurboGears2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10162
Comment 39 Luke Macken 2009-10-05 10:41:41 EDT
https://fedorahosted.org/rel-eng/ticket/2125#comment:9
Waiting on python-webtest to get tagged into the EL buildroots so I can build python-routes and python-weberror.  Will then have to tag python-routes into buildroot to then build python-webhelpers.  I also just build python-beaker and queued it up for testing.
Comment 40 Luke Macken 2009-10-06 16:05:54 EDT
Here's another status update for getting TG2 & Pylons into EL-5

    TurboGears2
        [X] Rawhide
        [X] F-11
        [X] EL-5
            [X] python-zope-sqlalchemy
                https://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0574
            [_] python-pylons
                [_] python-decorator
                    We need version 3.0+ for the python-repoze-what-pylons package.
                    Toshio is building a python-decorator3 package for EL-5
                [X] python-nose-0.10.4-1.el5
                    https://admin.fedoraproject.org/updates/python-nose-0.10.4-1.el5
                [X] python-webob-0.9.6.1-2.el5
                    https://admin.fedoraproject.org/updates/python-webob-0.9.6.1-2.el5
                [X] python-webhelpers-0.6.4-4.el5
                    https://admin.fedoraproject.org/updates/python-webhelpers-0.6.4-4.el5
                [X] python-routes-1.10.3-2.el5
                    https://admin.fedoraproject.org/updates/python-routes-1.10.3-2.el5
                [X] python-beaker
                    https://admin.fedoraproject.org/updates/python-beaker-1.3.1-6.el5
                [X] python-weberror
                    https://admin.fedoraproject.org/updates/python-weberror-0.10.1-1.el5
                [X] python-webtest
                    https://admin.fedoraproject.org/updates/python-webtest-1.2-1.el5
Comment 41 Luke Macken 2009-10-17 17:27:41 EDT
Pylons is built for EL-5!!

https://admin.fedoraproject.org/updates/python-pylons-0.9.7-4.el5
Comment 42 Luke Macken 2009-10-18 14:46:22 EDT
I just got TurboGears2 built for EL-5 and queued up for testing :)

https://admin.fedoraproject.org/updates/TurboGears2-2.0.3-3.el5
Comment 43 Fedora Update System 2009-10-19 14:26:13 EDT
TurboGears2-2.0.3-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/TurboGears2-2.0.3-3.fc12
Comment 44 Luke Macken 2009-10-19 15:39:32 EDT
Here's another update on the TG2 stack.

[_] python-tg-devtools
    > Waiting for TG2 to get tagged into buildroots
        [_] rawhide
        [_] F-11
        [_] F-12
        [_] EL-5
            Needs python-migrate0.5 (#507697)
[_] python-tw-forms-0.9.8
    [X] Rawhide
    [X] F-11
        > Waiting for TW 0.9.8 in buildroots
    [_] F-12
        > Waiting for TW 0.9.8 in buildroots
    [X] EL-5
[X] python-toscawidgets-0.9.8
    [X] rawhide
    [X] EL-5
    [X] F-12
        testing: https://admin.fedoraproject.org/updates/python-toscawidgets-0.9.8-1.fc12
    [X] F-11
[X] TurboGears2
    [X] Rawhide
    [X] F-11
        testing: https://admin.fedoraproject.org/updates/F11/FEDORA-2009-10162
    [X] F-12
        testing: https://admin.fedoraproject.org/updates/TurboGears2-2.0.3-3.fc12
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/TurboGears2-2.0.3-3.el5
[X] python-catwalk
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-catwalk-2.0.2-1.el5
    [X] F-11
    [X] F-12
        testing: https://admin.fedoraproject.org/updates/python-catwalk-2.0.2-1.fc12
    [X] rawhide
[X] python-repoze-who
    [X] EL-5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-repoze-what
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-repoze-what-1.0.8-4.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-repoze-who-friendlyform
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-repoze-who-friendlyform-1.0-0.2.b3.el5
    [X] rawhide
    [X] F-11
    [X] F-12
[X] python-repoze-who-testutil
    [X] rawhide
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-sprox
    [X] EL-5
    [X] F-11
    [X] F-12
    [X] Rawhide
[X] python-repoze-what-quickstart
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-repoze-what-quickstart-1.0-2.el5
    [X] F-11
    [X] F-12
    [X] Rawhide
[X] python-repoze-what-plugins-sql
    [X] EL-5
    [X] F-11
    [X] F-12
    [X] Rawhide
[X] python-zope-sqlalchemy
    [X] Rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-zope-sqlalchemy-0.4-3.el5
[X] python-repoze-what-pylons
    [X] Rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-repoze-what-pylons-1.0-4.el5
[X] python-pylons
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-pylons-0.9.7-4.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-decorator3
    [X] El-5
        https://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0619
[X] python-nose
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-nose-0.10.4-1.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-webob
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-webob-0.9.6.1-2.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-webhelpers
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-webhelpers-0.6.4-4.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-routes
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-routes-1.10.3-2.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-beaker
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-beaker-1.3.1-6.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-weberror
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-weberror-0.10.1-1.el5
    [X] F-11
    [X] F-12
    [X] rawhide
[X] python-repoze-tm2
    [X] Rawhide
    [X] F11
        testing: https://admin.fedoraproject.org/updates/python-repoze-tm2-1.0-0.5.a4.fc11
    [X] F-12
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-repoze-tm2-1.0-0.5.a4.el5
[X] python-tgext-crud
    [X] rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
[X] python-webflash
    [X] rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
[X] python-tw-jquery
    [X] rawhide
    [X] EL-5
    [X] F-11
    [X] F-12
[X] python-tgext-admin
    [X] rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
[X] python-mako
    [X] rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
[X] python-repoze-who-plugins-sa
    [X] rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
        testing: https://admin.fedoraproject.org/updates/python-repoze-who-plugins-sa-1.0-0.4.rc1.el5
[X] python-repoze-what-plugins-sql
    [X] rawhide
    [X] F-11
    [X] F-12
    [X] EL-5
Comment 45 Luke Macken 2009-10-20 11:03:32 EDT
Also, I've been using this ticket to request buildroot overrides:

https://fedorahosted.org/rel-eng/ticket/2125
Comment 46 Fedora Update System 2009-10-21 12:23:31 EDT
TurboGears2-2.0.3-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update TurboGears2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0674
Comment 47 Jan ONDREJ 2010-03-08 01:54:15 EST
Why this is still not closed?
Comment 48 Nils Philippsen 2010-03-08 06:57:41 EST
(In reply to comment #47)
> Why this is still not closed?    

I guess because Luke is (has been?) using this as a tracker for the state of individual components of the TG2 stack. Luke?
Comment 49 Luke Macken 2010-03-09 22:23:11 EST
The TG2 stack has been in Fedora & EPEL for a while now.  I was just being lazy and letting bodhi close this bug for me, the the stack is still in epel-testing.  It should be good to go though, and I'll coordinate a push of all of the right pieces to stable shortly.

We're at TurboGears2 2.0.x, but I plan on bringing us up to speed with the 2.1 release that is happening soon, which is *much* faster due to a dispatcher re-write.
Comment 50 Fedora Update System 2010-03-17 15:14:09 EDT
TurboGears2-2.0.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 51 Fedora Update System 2010-03-17 23:20:51 EDT
TurboGears2-2.0.3-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.